﻿using Dynamicweb.Extensibility.Notifications;

namespace Dynamicweb.Ecommerce.LiveIntegration.NotificationSubscribers
{
    /// <summary>
    /// Sends an update to the ERP when the quantity of an order line is decreased.
    /// </summary>
    /// <seealso cref="NotificationSubscriberBase" />
    [Subscribe(Ecommerce.Notifications.Ecommerce.Cart.Line.Decreased)]
    public class OrderLineDecreased : NotificationSubscriberBase
    {
        /// <summary>
        /// Handles the notification.
        /// </summary>
        /// <param name="notification">The notification.</param>
        /// <param name="args">The args.</param>
        public override void OnNotify(string notification, NotificationArgs args)
        {
            if (!(args is Ecommerce.Notifications.Ecommerce.Cart.Line.DecreasedArgs) || !EnabledAndActive())
            {
                return;
            }

            var myArgs = (Ecommerce.Notifications.Ecommerce.Cart.Line.DecreasedArgs)args;
            UpdateOrder(myArgs.Cart, "Line.Decreased");
        }
    }
}