﻿using Dynamicweb.Extensibility.Notifications;
using System.Linq;

namespace Dynamicweb.Ecommerce.LiveIntegration.NotificationSubscribers
{
    /// <summary>
    /// Gets updated product information before they are rendered / sorted.
    /// </summary>
    /// <seealso cref="NotificationSubscriberBase" />
    [Subscribe(Ecommerce.Notifications.Ecommerce.ProductList.BeforeSort)]
    public class ProductListBeforeSort : NotificationSubscriberBase
    {
        /// <summary>
        /// Handles the notification.
        /// </summary>
        /// <param name="notification">The notification.</param>
        /// <param name="args">The args.</param>
        public override void OnNotify(string notification, NotificationArgs args)
        {
            if (!CanCheckPrice)
            {
                return;
            }

            var myArgs = (Ecommerce.Notifications.Ecommerce.ProductList.BeforeSortArgs)args;

            // Set product info
            if (myArgs.Products.Any())
            {
                SetProductInformation(Products.ProductManager.GetProductsWithQuantities(myArgs.Products));
            }
        }
    }
}